## gapi-ocaml 0.3.16

=== Makefile ===
.PHONY: build clean test doc

build:
	dune build @install

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

doc:
	dune build @doc

## gapi-ocaml 0.2.6

=== debian/changelog ===
gapi-ocaml (0.2.6-0ubuntu2.drbl1) UNRELEASED; urgency=medium

  * Recomplied on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Apr 2015 22:17:52 +0800

gapi-ocaml (0.2.6-0ubuntu2) utopic; urgency=low

  * No-change port to utopic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 10 Nov 2014 23:35:47 +0100 

gapi-ocaml (0.2.6-0ubuntu1) trusty; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Wed, 01 Oct 2014 19:41:36 +0200

gapi-ocaml (0.2.5-0ubuntu1) trusty; urgency=low

  * Better error handling

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 21 Sep 2014 23:20:29 +0200

gapi-ocaml (0.2.4-0ubuntu1) trusty; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Wed, 03 Sep 2014 00:04:03 +0200

gapi-ocaml (0.2.3-0ubuntu1) trusty; urgency=low

  * Add Gmail API V1

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 26 Aug 2014 16:56:33 +0200

gapi-ocaml (0.2.1-0ubuntu3) trusty; urgency=low

  * No-change port to trusty

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 05 Apr 2014 12:06:07 +0200

gapi-ocaml (0.2.1-0ubuntu2) saucy; urgency=low

  * No-change port to saucy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 18 Oct 2013 18:39:45 +0200

gapi-ocaml (0.2.1-0ubuntu1) raring; urgency=low

  * Add HEAD http method.
  * Update generated service modules.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 07 Oct 2013 23:25:48 +0200

gapi-ocaml (0.2-0ubuntu1) raring; urgency=low

  * Initial release.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 06 Sep 2013 15:44:56 +0200

=== debian/control ===
Source: gapi-ocaml
Section: ocaml
Priority: optional
Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
Build-Depends:
  debhelper (>= 8.0.0),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.12.0~),
  ocaml-best-compilers,
  ocaml-findlib,
  libocamlnet-ocaml-dev (>= 3.3.5),
  libcurl-ocaml-dev (>= 0.5.3),
  libcryptokit-ocaml-dev (>= 1.3.14),
  libextlib-ocaml-dev,
  libyojson-ocaml-dev (>= 1.0.2),
  libxmlm-ocaml-dev (>= 1.0.2)
Standards-Version: 3.9.5
Homepage: http://gapi-ocaml.forge.ocamlcore.org/

Package: libgapi-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Google APIs Client library for OCaml
 gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
 library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.
 Supported RESTful APIs:
 .
  - Calendar APIs v3
  - Google+ API v1
  - Tasks API v1
  - APIs Discovery Service v1
  - URL Shortener API v1
  - OAuth2 API v2
  - Custom Search API v1
  - Google Analytics API v3
  - Page Speed Online API v1
  - Blogger API v2
  - Site Verification API v1
  - AdSense Management API v1.1
  - BigQuery API v2
  - Drive API v2.
 .
 Google Data Protocol APIs (GData):
 .
  - Google Documents List API v3
 .
 This package contains the development files of the gapi-ocaml library.

Package: libgapi-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Google APIs Client library for OCaml
 gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
 library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.
 Supported RESTful APIs:
 .
  - Calendar APIs v3
  - Google+ API v1
  - Tasks API v1
  - APIs Discovery Service v1
  - URL Shortener API v1
  - OAuth2 API v2
  - Custom Search API v1
  - Google Analytics API v3
  - Page Speed Online API v1
  - Blogger API v2
  - Site Verification API v1
  - AdSense Management API v1.1
  - BigQuery API v2
  - Drive API v2.
 .
 Google Data Protocol APIs (GData):
 .
  - Google Documents List API v3
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	true

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## gapi-ocaml 0.2.10

=== debian/changelog ===
gapi-ocaml (0.2.10-0mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 17 Jul 2016 15:16:55 -0700

gapi-ocaml (0.2.10-0ubuntu2) xenial; urgency=low

  * No-change port to xenial

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 11 Apr 2016 22:53:48 +0200

gapi-ocaml (0.2.10-0ubuntu1) wily; urgency=low

  * Bugfix release 

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 17 Mar 2016 21:41:51 +0100

gapi-ocaml (0.2.8-0ubuntu2) wily; urgency=low

  * Fix deb packaging

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 15 Dec 2015 00:18:03 +0100

gapi-ocaml (0.2.8-0ubuntu1) wily; urgency=low

  * Fix libcurl multi-threading issues

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 14 Dec 2015 23:35:09 +0100

gapi-ocaml (0.2.7-0ubuntu1) wily; urgency=low

  * Add AdSense API v1.4
  * Update generated services
  * Add curl options to control bandwidth usage

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 07 Dec 2015 23:55:09 +0100

gapi-ocaml (0.2.6-0ubuntu4) wily; urgency=low

  * No-change port to wily

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 29 Nov 2015 21:28:10 +0100

gapi-ocaml (0.2.6-0ubuntu3) vivid; urgency=low

  * No-change port to vivid

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 10 Nov 2014 23:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: gapi-ocaml
 Section: ocaml
 Priority: optional
-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
 Build-Depends:
   debhelper (>= 8.0.0),
   dh-ocaml (>= 0.9~),
   ocaml-nox (>= 3.12.0~),
-  ocaml-best-compilers,
+#  ocaml-best-compilers,
   ocaml-findlib,
-  libocamlnet-ocaml-dev (>= 3.3.5),
+  libocamlnet-ocaml-dev (>= 3.5.1),
   libcurl-ocaml-dev (>= 0.5.3),
   libcryptokit-ocaml-dev (>= 1.3.14),
   libextlib-ocaml-dev,

## gapi-ocaml 0.3.16

=== debian/changelog ===
gapi-ocaml (0.3.16-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Oct 2019 19:23:36 -0700

gapi-ocaml (0.3.16-0ubuntu1~ubuntu18.04.1) bionic; urgency=low

  * No-change backport to bionic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 16 Sep 2019 21:54:06 +0200

gapi-ocaml (0.3.16-0ubuntu1) eoan; urgency=low

  * Enable OAuth 2.0 for Devices

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 16 Sep 2019 21:45:45 +0200

gapi-ocaml (0.3.15-0ubuntu1) eoan; urgency=low

  * Enable OAuth 2.0 for Server to Server Applications

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 05 Sep 2019 22:37:22 +0200

gapi-ocaml (0.3.14-0ubuntu1) eoan; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 27 Aug 2019 19:54:07 +0200

gapi-ocaml (0.3.13-0ubuntu1) eoan; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 21 Jul 2019 13:42:09 +0200

gapi-ocaml (0.3.12-0ubuntu1) eoan; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 24 Jun 2019 22:41:08 +0200

gapi-ocaml (0.3.11-0ubuntu1) disco; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 20 Jun 2019 20:41:51 +0200

gapi-ocaml (0.3.10-0ubuntu1) disco; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 11 Apr 2019 21:41:47 +0200

gapi-ocaml (0.3.9-0ubuntu2) disco; urgency=low

  * No change port to disco

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 28 Mar 2019 21:52:32 +0100

gapi-ocaml (0.3.9-0ubuntu1) cosmic; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Wed, 05 Dec 2018 00:07:54 +0100

gapi-ocaml (0.3.8-0ubuntu2) cosmic; urgency=low

  * Fix dependencies (jbuilder -> dune)

 -- Alessandro Strada <alessandro.strada@gmail.com>  Wed, 21 Nov 2018 01:50:31 +0100

gapi-ocaml (0.3.8-0ubuntu1) cosmic; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Wed, 21 Nov 2018 00:16:33 +0100

gapi-ocaml (0.3.6-0ubuntu3) cosmic; urgency=medium

  * No-change port to cosmic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 06 Aug 2018 10:43:12 +0200

gapi-ocaml (0.3.6-0ubuntu2) bionic; urgency=medium

  * No-change port to bionic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 13 Jan 2018 12:37:31 +0100

gapi-ocaml (0.3.6-0ubuntu1) artful; urgency=low

  * Add TeamDrive support.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 17 Dec 2017 21:16:58 +0100

gapi-ocaml (0.3.4-0ubuntu3) artful; urgency=low

  * Add ocamlbuild source dependency.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 10 Aug 2017 15:00:31 +0200

gapi-ocaml (0.3.4-0ubuntu2) artful; urgency=low

  * No change port to artful.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 10 Aug 2017 13:37:50 +0200

gapi-ocaml (0.3.4-0ubuntu1) zesty; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 10 Jun 2017 18:26:11 +0200

gapi-ocaml (0.3.3-0ubuntu2) zesty; urgency=low

  * No change port to zesty.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 25 Apr 2017 11:10:09 +0200

gapi-ocaml (0.3.3-0ubuntu1) yakkety; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 09 Jan 2017 20:03:51 +0100

gapi-ocaml (0.3.2-0ubuntu1) yakkety; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 06 Jan 2017 13:17:41 +0100

gapi-ocaml (0.3.1-0ubuntu1) yakkety; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 04 Dec 2016 19:31:57 +0100

gapi-ocaml (0.3.0-0ubuntu1) yakkety; urgency=low

  * Bump minor version number

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 28 Nov 2016 23:30:12 +0100

gapi-ocaml (0.2.14-0ubuntu1) yakkety; urgency=low

  * Add Drive API v3

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 19 Nov 2016 18:16:21 +0100

gapi-ocaml (0.2.13-0ubuntu1) yakkety; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 16 Oct 2016 23:32:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,9 @@
 %:
 	dh $@ --with ocaml
 
-.PHONY: override_dh_auto_configure
-override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'
-
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	ocaml setup.ml -build
+	dune build -p gapi-ocaml
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
@@ -32,7 +28,9 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	ocaml setup.ml -install 
+	cp -rLv _build/install/default/lib/gapi-ocaml '$(OCAMLFIND_DESTDIR)'
+	find '$(OCAMLFIND_DESTDIR)' -name '*.ml' -delete
+	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete
 
 .PHONY: override_dh_install
 override_dh_install:
@@ -40,5 +38,5 @@
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
-	ocaml setup.ml -distclean
+	rm -rf _build/

## gapi-ocaml 0.4.2

=== debian/changelog ===
gapi-ocaml (0.4.2-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Dec 2022 16:58:47 -0800

gapi-ocaml (0.4.2-0ubuntu6) kinetic; urgency=low

  * No change port to kinetic

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 14 Nov 2022 21:45:40 +0100

gapi-ocaml (0.4.2-0ubuntu5) jammy; urgency=low

  * Recompile with ocaml 4.13.1

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 17 Jun 2022 21:08:42 +0200

gapi-ocaml (0.4.2-0ubuntu4) jammy; urgency=low

  * No change port to jammy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 18 Mar 2022 18:55:49 +0100

gapi-ocaml (0.4.2-0ubuntu3) jammy; urgency=low

  * No change port to jammy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 24 Feb 2022 20:22:27 +0100

gapi-ocaml (0.4.2-0ubuntu2) impish; urgency=low

  * No change port to impish

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 23 Oct 2021 20:08:15 +0200

gapi-ocaml (0.4.2-0ubuntu1) hirsute; urgency=low

  * Release to support https://developers.google.com/drive/api/v3/resource-keys

 -- Alessandro Strada <alessandro.strada@gmail.com>  Tue, 24 Aug 2021 21:24:21 +0200

gapi-ocaml (0.4.1-0ubuntu2~ubuntu21.04.1) hirsute; urgency=low

  * No-change backport to hirsute

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 17 Apr 2021 22:04:36 +0200

gapi-ocaml (0.4.1-0ubuntu2) groovy; urgency=low

  * No change port to groovy

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 21 Sep 2020 22:47:07 +0200

gapi-ocaml (0.4.1-0ubuntu1) focal; urgency=low

  * Remove extlib dependency

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 14 Jun 2020 12:26:34 +0200

gapi-ocaml (0.3.19-0ubuntu1) focal; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 18 Apr 2020 13:36:26 +0200

gapi-ocaml (0.3.18-0ubuntu1) focal; urgency=low

  * Add support for shortcuts

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 02 Apr 2020 20:19:03 +0200

gapi-ocaml (0.3.17-0ubuntu2) focal; urgency=low

  * No change port to focal

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 01 Mar 2020 16:49:01 +0100

gapi-ocaml (0.3.17-0ubuntu1) eoan; urgency=low

  * Bugfix release

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 09 Feb 2020 23:07:08 +0100

=== debian/control ===
Source: gapi-ocaml
Section: ocaml
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               dune,
               libcryptokit-ocaml-dev (>= 1.3.14),
               libcurl-ocaml-dev (>= 0.5.3),
               libocamlnet-ocaml-dev (>= 4.1.2),
               libxmlm-ocaml-dev (>= 1.0.2),
               libyojson-ocaml-dev (>= 1.0.2),
               ocaml-nox
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://gapi-ocaml.forge.ocamlcore.org/

Package: libgapi-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Google APIs Client library for OCaml
 gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
 library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.
 Supported RESTful APIs:
 .
  - Calendar APIs v3
  - Google+ API v1
  - Tasks API v1
  - APIs Discovery Service v1
  - URL Shortener API v1
  - OAuth2 API v2
  - Custom Search API v1
  - Google Analytics API v3
  - Page Speed Online API v1
  - Blogger API v2
  - Site Verification API v1
  - AdSense Management API v1.1
  - BigQuery API v2
  - Drive API v2.
  - Drive API v3.
 .
 This package contains the development files of the gapi-ocaml library.

Package: libgapi-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Google APIs Client library for OCaml
 gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
 library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.
 Supported RESTful APIs:
 .
  - Calendar APIs v3
  - Google+ API v1
  - Tasks API v1
  - APIs Discovery Service v1
  - URL Shortener API v1
  - OAuth2 API v2
  - Custom Search API v1
  - Google Analytics API v3
  - Page Speed Online API v1
  - Blogger API v2
  - Site Verification API v1
  - AdSense Management API v1.1
  - BigQuery API v2
  - Drive API v2.
  - Drive API v3.
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p gapi-ocaml

override_dh_auto_test:
	true

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	cp -rLv _build/install/default/lib/gapi-ocaml '$(OCAMLFIND_DESTDIR)'
	find '$(OCAMLFIND_DESTDIR)' -name '*.ml' -delete
	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete
	touch '$(OCAMLFIND_DESTDIR)/gapi-ocaml/dune-package'

override_dh_auto_clean:
	rm -rf _build/

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## gapi-ocaml 0.4.4

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (=12),
                dh-ocaml,
                dune,
                libcryptokit-ocaml-dev (>= 1.3.14),
                libcurl-ocaml-dev (>= 0.5.3),
                libocamlnet-ocaml-dev (>= 4.1.2),
                libxmlm-ocaml-dev (>= 1.0.2),
-               libyojson-ocaml-dev (>= 1.0.2),
+               libyojson-ocaml-dev (>= 2.0.0),
                ocaml-nox
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,15 @@
 %:
 	dh $@ --with ocaml
 
+.PHONY: override_dh_auto_build
 override_dh_auto_build:
 	dune build -p gapi-ocaml
 
+.PHONY: override_dh_auto_test
 override_dh_auto_test:
 	true
 
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	cp -rLv _build/install/default/lib/gapi-ocaml '$(OCAMLFIND_DESTDIR)'
@@ -31,9 +34,11 @@
 	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete
 	touch '$(OCAMLFIND_DESTDIR)/gapi-ocaml/dune-package'
 
+.PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	rm -rf _build/
-
+ 
 # No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
